# QBitmap Class Reference

### [com.trolltech.qt.gui package]

Inherits QPixmap.

### Constructor

- void QBitmap()
- void QBitmap(QPixmap arg__1)
- void QBitmap(QSize arg__1)
- void QBitmap(String fileName, char format)
- void QBitmap(int w, int h)

### Constructor Properties

- prototype: The QBitmap prototype object

### Prototype Object Properties

The QBitmap prototype object inherits properties from the QPixmap prototype object and also has the following properties.

- void clear()
- void swap(QBitmap other)
- QBitmap transformed(QMatrix arg__1)

### Instance Properties

QBitmap objects have no special properties beyond those inherited from the QBitmap prototype object.